Skip to main content
GET
List pipeline records

Authorizations

x-api-key
string
header
required

Copy the API key as provided by the Bridge Console.

Path Parameters

workspaceId
string<uuid>
required

Unique identifier of the workspace (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

Query Parameters

externalId
string | null

Your system's id for the record.

Required string length: 1 - 255
Example:

"ERP-OPP-981"

contactId
string<uuid> | null

Id of the contact whose records to list.

Example:

"4e362e2b-67b2-4a7e-a9df-e9ecf9141be8"

contactPhone
string | null

Cellphone of the contact whose records to list, read like GET /contacts/lookup reads it.

Required string length: 1 - 320
Example:

"+573001234567"

contactEmail
string | null

Email of the contact whose records to list, read like GET /contacts/lookup reads it.

Required string length: 1 - 320
Example:

"john.doe@example.com"

pipelineId
string | null

Pipeline of the records.

Required string length: 1 - 255
Example:

"5d0b8f8e-3c1a-4a4e-9a57-2f6f3e1c9b10"

stageId
string | null

Stage of the records; requires pipelineId.

Required string length: 1 - 255
Example:

"stage-new"

limit
integer
default:25

Number of records per page.

Required range: 1 <= x <= 100
cursor
string | null

Cursor provided on a previous request to get the next page.

Response

Successful Response

Response body for listing pipeline records.

records
PipelineRecordResponse · object[]
required

Records of the page, most recently updated first.

cursor
string | null

Send it as cursor to get the next page; null on the last page.